(TeX-add-style-hook "biblatex"
 (lambda ()
    (LaTeX-add-environments
     "refsection"
     "refcontext"
     "lverb"
     "verb"
     "sortlist"
     "entry")
    (TeX-add-symbols
     "endrefsegment"
     '("printdelim" ["argument"] 1)
     '("bibendnotewrapper" 1)
     '("bibfootnotewrapper" 1)
     '("ifpartannotation" 2)
     '("ifitemannotation" 1)
     '("iffieldannotation" 1)
     '("delimcontext" 1)
     '("rangelen" 1)
     "nolinkurl"
     "blx"
     "NumcheckSetup"
     "ppspace"
     "sqspace"
     "RNfont"
     "Rnfont"
     "assignrefcontextkeyws"
     "assignrefcontextcats"
     "assignrefcontextentries"
     "bibleftparen"
     "bibrightparen"
     "bibleftbracket"
     "bibrightbracket"
     "isundefined"
     "thelisttotal"
     "thelistcount"
     "theliststart"
     "theliststop"
     "thecitetotal"
     "themulticitecount"
     "themulticitetotal"
     "theinstcount"
     "themaxnames"
     "theminnames"
     "themaxitems"
     "theminitems"
     "thecitecount"
     "theuniquelist"
     "theuniquename"
     "therefsection"
     "therefsegment"
     "themaxextratitle"
     "themaxextratitleyear"
     "themaxextrayear"
     "themaxextraalpha"
     "theabbrvpenalty"
     "thehighnamepenalty"
     "thelownamepenalty"
     "themaxparens"
     "theparenlevel"
     "frenchspacing"
     "nonfrenchspacing"
     "Lu"
     "storedpar"
     "temp"
     "RN"
     "Rn"
     "frangelen"
     "newblock"
     "ifcrossrefsource"
     "ifxrefsource"
     "pno"
     "ppno"
     "nopp"
     "psq"
     "psqq"
     "IeC"
     "j"
     "MakeUppercase"
     "MakeLowercase"
     "currentname"
     "bibinitperiod"
     "bibinitdelim"
     "bibinithyphendelim"
     "bibnamedelima"
     "bibnamedelimb"
     "bibnamedelimc"
     "bibnamedelimd"
     "bibnamedelimi"
     "currentlist"
     "finentry"
     "i"
     "biblcstring"
     "biblclstring"
     "biblcsstring"
     "bibstring"
     "biblstring"
     "bibsstring"
     "bibucstring"
     "bibuclstring"
     "bibucsstring"
     "bibcpstring"
     "bibcplstring"
     "bibcpsstring"
     "bibname"
     "refname"
     "biblistname"
     "InheritBibliographyStrings"
     "DeclareBibliographyStrings"
     "InheritBibliographyExtras"
     "DeclareBibliographyExtras"
     "UndeclareBibliographyExtras"
     "DeclareHyphenationExceptions"
     "currentlang"
     "regexp"
     "item"
     "break"
     "NewCount"
     "NewOption"
     "NewValue"
     "preamble"
     "warn"
     "missing"
     "keyalias"
     "set"
     "inset"
     "xref"
     "keyw"
     "range"
     "strng"
     "cnt"
     "true"
     "false"
     "annotation"
     "makelabel"
     "not"
     "NOT"
     "and"
     "AND"
     "or"
     "OR"
     "section"
     "segment"
     "type"
     "subtype"
     "keyword"
     "category"
     "the"
     "skipentry"
     "newrefsection"
     "newrefsegment"
     "printshorthands"
     "AtBeginShorthands"
     "AtEveryLositem"
     "newrefcontext"
     "nocite"
     "blxmciteicmd"
     "blxmcites"
     "blxendmcites"
     "ifhyperref"
     "ifmorenames"
     "ifmoreitems"
     "iffirstcitekey"
     "iflastcitekey"
     "ifciteseen"
     "ifentryseen"
     "ifentryinbib"
     "ifciteibid"
     "ifciteidem"
     "ifopcit"
     "ifloccit"
     "ifsamepage"
     "iffirstonpage"
     "ifcurrentfield"
     "ifcurrentlist"
     "ifcurrentname"
     "ifentrytype"
     "iffieldequalcs"
     "iffieldequals"
     "iffieldequalstr"
     "iffieldsequal"
     "ifbibmacroundef"
     "iffieldundef"
     "ifnameequalcs"
     "ifnameequals"
     "ifnamesequal"
     "ifnameundef"
     "ifcategory"
     "ifkeyword"
     "ifentrycategory"
     "ifentrykeyword"
     "ifcapital"
     "ifinteger"
     "iffieldint"
     "ifnumeral"
     "ifnumerals"
     "ifpages"
     "iffieldnum"
     "iffieldnums"
     "iffieldpages"
     "ifbibstring"
     "iffieldbibstring"
     "ifnatbibmode"
     "ifcitation"
     "ifbibliography"
     "ifciteindex"
     "ifbibindex"
     "iffootnote"
     "ifuseprefix"
     "ifterseinits"
     "iffirstinits"
     "ifgiveninits"
     "ifsingletitle"
     "ifuniquetitle"
     "ifuniqueprimaryauthor"
     "ifandothers"
     "noexpand"
     "mkbibsuperscript"
     "labelalphaothers"
     "sortalphaothers"
     "protect"
     "nolabel"
     "nosort"
     "noinit"
     "member"
     "maps"
     "map"
     "perdatasource"
     "pertype"
     "pernottype"
     "step"
     "labelelement"
     "except"
     "inherit"
     "noinherit"
     "filteror"
     "filter"
     "translit"
     "namepart"
     "keypart"
     "ifsortnamekeyscheme"
     "sort"
     "name"
     "list"
     "citeorder"
     "field"
     "literal"
     "newblockpunct"
     "bibopenparen"
     "bibcloseparen"
     "bibopenbracket"
     "bibclosebracket"
     "ResetDatamodelEntrytypes"
     "ResetDatamodelFields"
     "ResetDatamodelEntryfields"
     "ResetDatamodelConstraints")
    (TeX-run-style-hooks
     "xstring"
     "url"
     "ifthen"
     "logreq"
     "kvoptions"
     "keyval"
     "etoolbox"
     "pdftexcmds"
     "iftex"
     "")))

