(TeX-add-style-hook "isodoc"
 (lambda ()
    (TeX-add-symbols
     '("letter" ["argument"] 1)
     '("invoice" ["argument"] 1)
     '("itotal" ["argument"] 1)
     '("setupdocument" 1)
     "headerpos"
     "footerpos"
     "subjectpos"
     "openingpos"
     "textskip"
     "yfold"
     "xfold"
     "closingskip"
     "signatureskip"
     "copytoskip"
     "enclosureskip"
     "ocrb"
     "acceptreferenceskip"
     "zippedcity"
     "logo"
     "accountdata"
     "footcount"
     "isodocFootFields"
     "Undefined"
     "company"
     "logoaddress"
     "who"
     "street"
     "city"
     "country"
     "countrycode"
     "zip"
     "prezip"
     "xaddress"
     "toname"
     "toaddress"
     "processto"
     "xproc"
     "yproc"
     "areacode"
     "phoneprefix"
     "phone"
     "cellphone"
     "fax"
     "website"
     "email"
     "creditorid"
     "ourref"
     "yourref"
     "yourletter"
     "subject"
     "opening"
     "closing"
     "autographversion"
     "signature"
     "enclosures"
     "copyto"
     "term"
     "accountno"
     "mandateid"
     "routingno"
     "bankname"
     "accountname"
     "iban"
     "bic"
     "vatno"
     "chamber"
     "currency"
     "accepttype"
     "acceptaccount"
     "acceptaddress"
     "acceptcents"
     "acceptdescription"
     "acceptdesc"
     "accepteuros"
     "acceptreference"
     "wacceptaccount"
     "wacceptdesc"
     "xacceptaccount"
     "xacceptdesc"
     "yacceptaccount"
     "yacceptdesc"
     "wacceptaddress"
     "waccepteuros"
     "xacceptaddress"
     "xaccepteuros"
     "yacceptaddress"
     "yaccepteuros"
     "wacceptcents"
     "waccepteur"
     "xacceptcents"
     "xaccepteur"
     "yacceptcents"
     "yaccepteur"
     "wacceptct"
     "wacceptreference"
     "xacceptct"
     "xacceptreference"
     "yacceptct"
     "yacceptreference"
     "wacceptdescription"
     "wacceptref"
     "xacceptdescription"
     "xacceptref"
     "yacceptdescription"
     "yacceptref"
     "EuroSymbol"
     "EUROSymbol"
     "LetterSymbol"
     "EmailSymbol"
     "PhoneSymbol"
     "MobileSymbol"
     "EUR"
     "autograph"
     "temp"
     "returnaddress"
     "date"
     "paymentdata"
     "showkeys"
     "itable"
     "iitem"
     "payref"
     "accept"
     "openingcomma")
    (TeX-run-style-hooks
     "hyperref"
     "fancyhdr"
     "textpos"
     "overlay"
     "absolute"
     "longtable"
     "forarray"
     "calc"
     "xstring"
     "graphicx"
     "tabularx"
     "xcolor"
     "ctable"
     "art10"
     "article"
     "")))

