(TeX-add-style-hook "nameauth"
 (lambda ()
    (LaTeX-add-index-entries
     "\\csname\\cseq!PRE\\endcsname#2\\csname\\cseq!TAG\\endcsname"
     "#2\\csname\\cseq!TAG\\endcsname"
     "\\csname\\cseq!PRE\\endcsname#2"
     "#2")
    (LaTeX-add-environments)
    (TeX-add-symbols
     '("IndexActual" 1)
     "NamesFormat"
     "MainNameHook"
     "FrontNamesFormat"
     "FrontNameHook"
     "NameauthName"
     "NameauthLName"
     "NameauthFName"
     "CapThis"
     "AccentCapThis"
     "CapName"
     "AllCapsInactive"
     "AllCapsActive"
     "RevName"
     "ReverseInactive"
     "ReverseActive"
     "RevComma"
     "ReverseCommaInactive"
     "ReverseCommaActive"
     "ShowComma"
     "KeepAffix"
     "NamesInactive"
     "NamesActive"
     "LocalNames"
     "GlobalNames"
     "IndexInactive"
     "IndexActive"
     "TestDot"
     "TestPunct"
     "cseq"
     "IndexShort"
     "IndexSNN"
     "PrintShort"
     "Name"
     "FName"
     "argd"
     "csd"
     "csde"
     "cscd"
     "CapShort"
     "SNNb"
     "ISNNd"
     "SNNd"
     "Reversed"
     "FNN"
     "AKA"
     "PName"
     "Short"
     "SNN"
     "test"
     "csb"
     "csbc"
     "csab"
     "ex")
    (TeX-run-style-hooks
     "xargs"
     "suffix"
     "trimspaces"
     "ifxetex"
     "ifluatex"
     "etoolbox"
     "")))

