(TeX-add-style-hook "mathastext"
 (lambda ()
    (TeX-add-symbols
     '("MTDeclareVersion" ["argument"] 5)
     '("MTWillUse" ["argument"] 4)
     '("MTlowerast" 1)
     '("MTgreekfont" 1)
     '("MTlettershape" 1)
     '("MTboldvariant" 1)
     '("MTshape" 1)
     '("MTseries" 1)
     '("MTfamily" 1)
     '("MTencoding" 1)
     '("pmvec" 1)
     '("MTSymbolScale" 1)
     '("MTEulerScale" 1)
     '("MTunsetmathskips" 1)
     '("MTsetmathskips" 3)
     '("MTprimeskip" 1)
     '("MTforallskip" 1)
     '("MTexistsskip" 1)
     "MTnormalprime"
     "MTprimedoesskip"
     "MTnonlettersdonotobeymathxx"
     "MTnonlettersobeymathxx"
     "MTeasynonlettersdonotobeymathxx"
     "MTeasynonlettersobeymathxx"
     "MTmathactiveletters"
     "MTmathactiveLetters"
     "MTmathstandardletters"
     "MTicinmath"
     "MTICinmath"
     "MTnoicinmath"
     "MTnoICinmath"
     "MTicalsoinmathxx"
     "MTresetnewmcodes"
     "MTcustomizenewmcodes"
     "MTmathoperatorsobeymathxx"
     "MTmathoperatorsdonotobeymathxx"
     "MTfixfonts"
     "MTdonotfixfonts"
     "fouriervec"
     "MTitgreek"
     "MTupgreek"
     "MTitGreek"
     "MTupGreek"
     "MTDeclareVersion"
     "MTversion"
     "mst"
     "MTnormalasterisk"
     "MTactiveasterisk"
     "models"
     "MTexplicitbracesobeymathxx"
     "MTexplicitbracesdonotobeymathxx"
     "prodpsy"
     "sumpsy"
     "implies"
     "impliedby"
     "iff"
     "shortiff"
     "to"
     "longto"
     "mapsto"
     "longmapsto"
     "aleph"
     "inftypsy"
     "emptyset"
     "nabla"
     "surd"
     "neg"
     "clubsuit"
     "diamondsuit"
     "heartsuit"
     "spadesuit"
     "smallint"
     "wedge"
     "vee"
     "cap"
     "cup"
     "bullet"
     "div"
     "otimes"
     "oplus"
     "pm"
     "times"
     "proptopsy"
     "leq"
     "geq"
     "approx"
     "supset"
     "subset"
     "supseteq"
     "subseteq"
     "in"
     "sim"
     "perp"
     "equiv"
     "rangle"
     "langle"
     "Re"
     "Im"
     "DotTriangle"
     "MTstandardgreek"
     "MTcustomgreek"
     "MTrecordstandardgreek"
     "inodot"
     "jnodot"
     "i"
     "j"
     "acute"
     "grave"
     "ddot"
     "tilde"
     "bar"
     "breve"
     "check"
     "hat"
     "dot"
     "mathring"
     "MTeverymathoff"
     "MTeverymathdefault"
     "MTnormalexists"
     "MTexistsdoesskip"
     "exists"
     "MTnormalforall"
     "MTforalldoesskip"
     "forall"
     "Mathastextexistsskip"
     "Mathastextforallskip"
     "Mathastextprimeskip"
     "mathastextexistsskip"
     "mathastextforallskip"
     "mathastextprimeskip"
     "x"
     "mathnormal"
     "mathrm"
     "mathbf"
     "mathit"
     "mathsf"
     "mathtt"
     "MathastextEulerScale"
     "MathastextSymbolScale"
     "Mathastextencoding"
     "Mathastextfamily"
     "Mathastextseries"
     "Mathastextshape"
     "Mathastextboldvariant"
     "Mathastextlettershape"
     "Mathastextitgreek"
     "Mathastextupgreek"
     "MathastextitGreek"
     "MathastextupGreek"
     "Mathastextgreekfont"
     "MathastextWillUse"
     "Mathastextwilluse"
     "Mathastext"
     "MathastextDeclareVersion"
     "MathastextVersion"
     "Mathastextversion"
     "MTVersion"
     "mathastextversion"
     "ast"
     "colon"
     "relbar"
     "rightarrowfill"
     "leftarrowfill"
     "hbar"
     "Relbar"
     "backslash"
     "setminus"
     "vert"
     "mid"
     "lbrace"
     "rbrace"
     "mathdollar"
     "MToriginalprod"
     "MToriginalsum"
     "varnothing"
     "angle"
     "cong"
     "notin"
     "Alpha"
     "Beta"
     "Epsilon"
     "Zeta"
     "Eta"
     "Iota"
     "Kappa"
     "Mu"
     "Nu"
     "Omicron"
     "Rho"
     "Tau"
     "Chi"
     "Digamma"
     "Gamma"
     "Delta"
     "Theta"
     "Lambda"
     "Xi"
     "Pi"
     "Sigma"
     "Upsilon"
     "Phi"
     "Psi"
     "Omega"
     "alpha"
     "beta"
     "gamma"
     "delta"
     "epsilon"
     "zeta"
     "eta"
     "theta"
     "iota"
     "kappa"
     "lambda"
     "mu"
     "nu"
     "xi"
     "omicron"
     "pi"
     "rho"
     "sigma"
     "tau"
     "upsilon"
     "phi"
     "chi"
     "psi"
     "omega"
     "digamma"
     "varsigma"
     "varepsilon"
     "vartheta"
     "varpi"
     "varrho"
     "varphi"
     "partial"
     "wp"
     "ell"
     "Mathastextstandardgreek"
     "Mathastextcustomgreek"
     "Huge"
     "HUGE"
     "defaultscriptratio"
     "defaultscriptscriptratio"
     "Hurl")))

